=== ieee1394/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotaster.com

include ../make.defs

CMD=$(LM_IEEE1394)
SRCS_IEEE1394=main.c id.c match.c print.c loader.c op.c action.c
OBJS_IEEE1394=$(SRCS_IEEE1394:.c=.o)
OBJS_EX=../lib/depend.o ../lib/beep.o ../lib/list.o
OBJS=$(OBJS_IEEE1394) $(OBJS_EX)
MAPNAME=ieee1394map
IEEE1394MAP=$(LM).$(MAPNAME)
DEFAULT_IEEE1394MAP=modules.$(MAPNAME)
MAP=$(IEEE1394MAP)
IEEE1394_DEF=-DMURASAKI_IEEE1394 \
	-DMU_IEEE1394MAP=\"$(IEEE1394MAP)\" \
	-DMU_DEFAULT_IEEE1394MAP=\"$(DEFAULT_IEEE1394MAP)\" 
CFLAGS += $(IEEE1394_DEF)

include ../make.rules
