=== lib/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotaster.com

include ../make.defs

SRCS=depend.c beep.c list.c
OBJS=$(SRCS:.c=.o)
LINK_FILE=loader.c main.c action.c
DIR=usb pci net ieee1394

all: $(OBJS) link

clean:
	rm -f *.o
	@for f in $(LINK_FILE); \
	do \
		for d in $(DIR); \
		do \
			rm -f ../$$d/$$f; \
		done \
	done

link:
	@for f in $(LINK_FILE); \
	do \
		for d in $(DIR); \
		do \
			ln -sf ../lib/$$f ../$$d;\
		done \
	done

clobber: clean

install:
	@echo 'nothing to do'
