=== net/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotaster.com

include ../make.defs

CMD=$(LM_NET)
SRCS_NET=main.c interface.c action.c execute.c op.c
OBJS_NET=$(SRCS_NET:.c=.o)
OBJS_EX=
OBJS=$(OBJS_NET) $(OBJS_EX)
NET_UP=ifup
NET_DOWN=ifdown
NET_DEF=-DMURASAKI_NET \
	-DMU_NET_UP=\"$(NET_UP)\" \
	-DMU_NET_DOWN=\"$(NET_DOWN)\"
CFLAGS += $(NET_DEF)

include ../make.rules
