=== pci/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotaster.com

include ../make.defs

CMD=$(LM_PCI)
SRCS_PCI=main.c class.c id.c bus.c print.c match.c loader.c op.c action.c
OBJS_PCI=$(SRCS_PCI:.c=.o)
OBJS_EX=../lib/depend.o ../lib/beep.o ../lib/list.o
OBJS=$(OBJS_PCI) $(OBJS_EX)
MAPNAME=pcimap
PCIMAP=$(LM).$(MAPNAME)
DEFAULT_PCIMAP=modules.$(MAPNAME)
MAP=$(PCIMAP)
PCI_DEF=-DMURASAKI_PCI \
	-DMU_PCIMAP=\"$(PCIMAP)\" \
	-DMU_DEFAULT_PCIMAP=\"$(DEFAULT_PCIMAP)\"

CFLAGS += $(PCI_DEF)

include ../make.rules
