=== usb/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotaster.com

include ../make.defs

CMD=$(LM_USB)
SRCS_USB=main.c product.c type.c match.c print.c loader.c op.c action.c
OBJS_USB=$(SRCS_USB:.c=.o)
OBJS_EX=../lib/depend.o ../lib/beep.o ../lib/list.o
OBJS=$(OBJS_USB) $(OBJS_EX)
MAPNAME=usbmap
USBMAP=$(LM).$(MAPNAME)
DEFAULT_USBMAP=modules.$(MAPNAME)
MAP=$(USBMAP)
USB_DEF=-DMURASAKI_USB \
	-DMU_USBMAP=\"$(USBMAP)\" \
	-DMU_DEFAULT_USBMAP=\"$(DEFAULT_USBMAP)\" 
CFLAGS += $(USB_DEF)

include ../make.rules
