## murasaki 0.6.11-1

=== Makefile ===
#
# Makefile for murasaki
#
#			Shuu Yamaguchi <shuu@dotaster.com>

all:
	cd lib;make
	cd hotplug;make
	cd usb;make
	cd pci;make
	cd net;make
	cd ieee1394;make

clean:
	cd lib;make clean
	cd hotplug;make clean
	#cd scripts;make clean
	cd config;make clean
	cd usb;make clean
	cd pci;make clean
	cd net;make clean
	cd ieee1394;make clean

clobber:
	cd lib;make clobber
	cd hotplug;make clobber
	cd usb;make clobber
	cd pci;make clobber
	cd net;make clobber
	cd ieee1394;make clobber

install:
	cd config;make install
	#cd scripts;make install
	cd hotplug;make install
	cd usb;make install
	cd pci;make install
	cd net;make install
	cd ieee1394;make install
