=== debian/changelog ===
murasaki (0.6.11-1) unstable; urgency=low

  * September 2003 release.
  * New maintainer stable release :
    - add: murasaki_init.pci launch a hotplug only for Cardbus devices
  * Add INIT Variable to init script(true by default). Initialize only 
    if INIT=on.
  * Bump Standards Version.

 -- Pierre Machard <pmachard@debian.org>  Fri, 26 Sep 2003 16:08:45 +0200

murasaki (0.6.10-1) unstable; urgency=low

  * Adpot (closes: #201384)
  * New upstream release
    - fix the problem of upgrade (closes: #193159, #197594)
  * Add manpages
  * Move to debhelper V4
  * Upgrade Standard Version do 3.6.0

 -- Pierre Machard <pmachard@debian.org>  Sun,  3 Aug 2003 17:57:23 +0200

murasaki (0.6.6-1) unstable; urgency=low

  * New upstream release

 -- Yoshiaki Yanagihara <yochi@debian.org>  Wed, 30 Apr 2003 11:59:18 +0900

murasaki (0.6.4-1) unstable; urgency=low

  * New upstream release (Closes: #188023)
    - Fixed: Murasaki "hangs" on install/upgrade (Closes: #165680)
  * I forgot to close the bugs fixed by NMU (Closes: #150615, #160260)

 -- Yoshiaki Yanagihara <yochi@debian.org>  Tue,  8 Apr 2003 18:17:49 +0900

murasaki (0.6.1-5) unstable; urgency=low

  * Update configuration files: murasaki.usbmap, murasaki.depend. 

 -- Yoshiaki Yanagihara <yochi@debian.org>  Tue,  8 Oct 2002 23:08:20 +0900

murasaki (0.6.1-4) unstable; urgency=low

  * Maintainer Release
  * Added to check if the active kernel support usbdevfs.
  * Added initialize function to rc flie.
  * Clean up debian/rules file and dh_make templates files. (Closes: #160716)

 -- Yoshiaki Yanagihara <yochi@debian.org>  Fri,  4 Oct 2002 14:22:29 +0900

murasaki (0.6.1-3.1) unstable; urgency=low

  * NMU
  * Init script now exists silently if hotplug isn't supported by the
    kernel (closes: #150615)

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 13 Sep 2002 03:11:12 +0200

murasaki (0.6.1-3) unstable; urgency=low

  * Added to check if /proc/bus/usb has mounted already. (Closes: #146624)
  * NMU's Bug fix, I forgot to close. (Closes: #134209)

 -- Yoshiaki Yanagihara <yochi@debian.org>  Tue, 14 May 2002 11:06:01 +0900

murasaki (0.6.1-2) unstable; urgency=low

  * Modified the path of auto_setup script in init.d file.
  * Added the command to mount the usbdevfs to /proc/bus/usb.

 -- Yoshiaki Yanagihara <yochi@debian.org>  Wed,  8 May 2002 17:36:09 +0900

murasaki (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Yoshiaki Yanagihara <yochi@debian.org>  Wed,  8 May 2002 11:29:09 +0900

murasaki (0.5.4-2) unstable; urgency=low

  * Maintainer Release. 
  * Added debian/conffiles.
  * Changed to delete /etc/murasaki when the package is purged.

 -- Yoshiaki Yanagihara <yochi@debian.org>  Tue, 19 Feb 2002 12:26:44 +0900

murasaki (0.5.4-1.1) unstable; urgency=low

  * NMU (bug squash party)
  * Added /var/lock/subsys to debian/dirs - closes: #134209

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 17 Feb 2002 18:21:01 +0900

murasaki (0.5.4-1) unstable; urgency=low

  * New Upstream Release.
  * Customized auto-setup script for Debian. (Closes: #131163)
  * BugFixed. (Closes: #117568)

 -- Yoshiaki Yanagihara <yochi@debian.org>  Mon,  4 Feb 2002 11:52:26 +0900

murasaki (0.5.0-1) unstable; urgency=low

  * New upstream release
   - Support IEEE1394 devices.

 -- Yoshiaki Yanagihara <yochi@debian.org>  Wed, 14 Nov 2001 18:38:36 +0900

murasaki (0.4.0-4) unstable; urgency=low

  * Rebuilt with new dpkg because 0.4.0-3 was REJECTed. 
  * Add new USB device.
    - Visor USB cradle [Handspring]. (Closes: #104185)

 -- Yoshiaki Yanagihara <yochi@debian.org>  Thu, 12 Jul 2001 10:21:56 +0900

murasaki (0.4.0-3) unstable; urgency=low

  * Corrected description message in debian/control.(Closes: #102631) 

 -- Yoshiaki Yanagihara <yochi@debian.org>  Sat, 30 Jun 2001 23:58:24 +0900

murasaki (0.4.0-2) unstable; urgency=low

  * New Maintainer. 
  * First Public Release.
  * Rewrite init script.
  * new murasaki.usbmap file.
    - Microsoft IntelliMouse<AE> Optical (4 button wheel)
    -  DeskJet 930C [HP]

 -- Yoshiaki Yanagihara <yochi@debian.org>  Tue, 19 Jun 2001 00:27:03 +0900

murasaki (0.4.0-1) unstable; urgency=low

  * Initial Release.

 -- Yoshito Komatsu <yoshito.komatsu@nifty.com>  Mon, 18 Jun 2001 21:06:41 +0900

Local variables:
mode: debian-changelog
End:
