=== debian/control ===
Source: murasaki
Section: admin
Priority: extra
Maintainer: Pierre Machard <pmachard@debian.org> 
Build-Depends: debhelper (>= 4)
Standards-Version: 3.6.1

Package: murasaki
Architecture: any
Depends: ${shlibs:Depends}, modutils (>=2.4.1)
Conflicts: hotplug, usbmgr
Description: another HotPlug Agent
 Murasaki automatically loads and unloads modules for USB, Cardbus,
 network, etc using Linux 2.4's new "HotPlug" feature.
 .
 Now kernel supports USB, Cardbus, Network and IEEE1394.
