## murasaki 0.8.11

=== Makefile ===
#
# Makefile for murasaki
#
#			Shuu Yamaguchi <shuu@dotaster.com>

all:
	@cd lib;make
	@cd hotplug;make
	@cd usb;make
	@cd pci;make
	@cd generic;make
	@cd ieee1394;make
	@cd input;make
	@cd pcmcia_socket;make

clean:
	@cd lib;make clean
	@cd hotplug;make clean
	@cd scripts;make clean
	@cd config;make clean
	@cd usb;make clean
	@cd pci;make clean
	@cd generic;make clean
	@cd ieee1394;make clean
	@cd input;make clean
	@cd pcmcia_socket;make clean

clobber:
	@cd lib;make clobber
	@cd hotplug;make clobber
	@cd usb;make clobber
	@cd pci;make clobber
	@cd generic;make clobber
	@cd ieee1394;make clobber
	@cd input;make clobber
	@cd pcmcia_socket;make clobber

install:
	@cd config;make install
	@cd scripts;make install
	@cd hotplug;make install
	@cd usb;make install
	@cd pci;make install
	@cd generic;make install
	@cd ieee1394;make install
	@cd input;make install
	@cd pcmcia_socket;make install

diff:
	@cd lib;make diff
	@cd config;make diff
	@cd scripts;make diff
	@cd hotplug;make diff
	@cd usb;make diff
	@cd pci;make diff
	@cd generic;make diff
	@cd ieee1394;make diff
	@cd input;make diff
	@cd pcmcia_socket;make diff
