=== config/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotaster.com

include ../make.defs

diff:
	@echo 'do nothing'

clean:
	@cp /dev/null $(PRELOAD_FILE)

clobber: clean

install:
	@if [ ! -d $(INST_CONF_DIR) ];then \
		install -d $(INST_CONF_DIR); \
		echo "make directory $(INST_CONF_DIR)"; \
	fi
	@[ -n "$(CONF_FILE)" ] && \
	for f in $(CONF_FILE); \
	do \
		if [ -f $(INST_CONF_DIR)/$$f -a ! -f $(INST_CONF_DIR)/$$f.old ];then \
			mv $(INST_CONF_DIR)/$$f $(INST_CONF_DIR)/$$f.old;\
			echo "move $(INST_CONF_DIR)/$$f $(INST_CONF_DIR)/$$f.old"; \
		fi;\
		install -m $(READ_MODE) $$f $(INST_CONF_DIR);\
		echo "install $(INST_CONF_DIR)/$$f"; \
	done
	@[ -n "$(NOT_OVERWRITE_CONF_FILE)" ] && \
	for f in $(NOT_OVERWRITE_CONF_FILE); \
	do \
		if [ ! -s $$f ];then \
			continue; \
		fi; \
		if [ -f $(INST_CONF_DIR)/$$f ];then \
			echo "---------------------------------------------"; \
			echo "$(INST_CONF_DIR)/$$f is not overwrited"; \
			echo "---------------------------------------------"; \
		else \
			install -m $(READ_MODE) $$f $(INST_CONF_DIR);\
			echo "install $(INST_CONF_DIR)/$$f"; \
		fi;\
	done
