=== generic/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotAster.com
#
include ../make.defs

NAME=generic
SRCS=op.c
SRCS_RCS=$(SRCS)

include ../make.agent_defs

BINARY=$(CMD)
DEFS=
MAPS=

include ../make.rules
