=== hotplug/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotaster.com
#
include ../make.defs

SRCS=hotplug.c
SRCS_RCS=$(SRCS)
OBJS=$(SRCS:.c=.o)
CMD=$(HOTPLUG)
BINARY=$(CMD)

DEFS=-DHOTPLUG_NAME=\"$(HOTPLUG)\" \
	-DMU_BIN_DIR=\"$(BIN_DIR)\" \
	-DMU_SCRIPT_DIR=\"$(SCRIPT_DIR)\" \
	-DGENERICLIST_PATH=\"$(CONF_DIR)/$(GENERICLIST_FILE)\"

include ../make.rules
