=== ieee1394/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotAster.com
#
include ../make.defs

NAME=ieee1394
SRCS=id.c match.c print.c op.c
INIT_SRCS=init.c
SRCS_RCS=$(SRCS) $(INIT_SRCS)

include ../make.agent_defs

BINARY=$(CMD) $(INIT_CMD)
DEFS=-DMU_IEEE1394MAP=\"$(MAP)\" \
	     -DMU_DEFAULT_IEEE1394MAP=\"$(DEFAULT_MAP)\" 

include ../make.rules
