=== input/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotAster.com
#
include ../make.defs

NAME=input
SRCS=op.c print.c match.c product.c array.c push_bit.c
# INIT_SRCS=init.c
SRCS_RCS=$(SRCS) $(INIT_SRCS)

include ../make.agent_defs

#BINARY=$(CMD) $(INIT_CMD)
BINARY=$(CMD)
MAPS=""
DEFS=-DMU_INPUTMAP=\"$(MAP)\" \
	-DMU_DEFAULT_INPUTMAP=\"$(DEFAULT_MAP)\" 

include ../make.rules
