=== lib/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotAster.com

include ../lib.defs
include ../make.defs

SRCS=depend.c beep.c list.c script.c path.c action.c loader.c sysfs.c value.c save_sysdir.c proc.c filelist.c main.c exec_sysfs.c mmap.c string.c debug.c coldplug.c init.c exec.c permission.c
SRCS_RCS=$(SRCS)
OBJS=$(SRCS:.c=.o)

$(MURASAKI_LIB): $(OBJS)
	@echo "------------> $@"
	@ar rc $@ $?

%.o:%.c
	@echo "Compiling $@"
	@$(CC) $(CFLAGS) -c $< -o $@

clean:
	rm -f *.o

clobber: clean
	rm -f $(MURASAKI_LIB)

install:
	@echo 'nothing to do'

diff:
	rcsdiff $(SRCS_RCS)

test: clobber
	make CFLAGS='$(TEST_CFLAGS)'
	cd Test;make;cd ..
