=== pci/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotaster.com
#
include ../make.defs

NAME=pci
SRCS=class.c id.c print.c match.c op.c sysfs.c
INIT_SRCS=init.c
SRCS_RCS=$(SRCS) $(INIT_SRCS)

include ../make.agent_defs

BINARY=$(CMD) $(INIT_CMD)
DEFS=-DMU_PCIMAP=\"$(MAP)\" \
	-DMU_DEFAULT_PCIMAP=\"$(DEFAULT_MAP)\" \
	-DONLY_CARDBUS

include ../make.rules
