=== pcmcia_socket/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotAster.com
#
check:
	@if [ ! -d /usr/include/pcmcia ];then \
		echo "========================================================"; \
		echo "touch murasaki.pcmcia_socket murasaki_init.pcmcia_socket"; \
		touch murasaki.pcmcia_socket murasaki_init.pcmcia_socket; \
		echo "========================================================"; \
		exit 0; \
	else \
		make all; \
	fi

include ../make.defs

NAME=pcmcia_socket
SRCS=socket.c card.c op.c print.c match.c
INIT_SRCS=init.c resource.c socket.c lock.c
SRCS_RCS=$(SRCS) $(INIT_SRCS)

include ../make.agent_defs

BINARY=$(CMD) $(INIT_CMD)
DEFS=-DMU_PCMCIAMAP=\"$(MAP)\"
MAPS += pcmcia_resource

include ../make.rules
