=== scripts/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotAster.com
#
include ../make.defs

SCRIPT_EXEC=auto_setup block block_mount block_umount command.template \
	env firmware net pcmcia_socket_analyze pcmcia_socket_convert \
	printer set_user
SCRITP_CONFIG=block_config net_config printer_config
SCRIPT_FUNCTION=block_functions func_debug func_desktop func_label \
	func_lock func_log func_rc func_sysfs func_user \
	func_wait net_functions pci_functions usb_functions
SCRIPT_READ=$(SCRIPT_FUNCTION) $(SCRITP_CONFIG)
SRCS_RCS=rc.murasaki $(SCRIPT_EXEC) $(SCRIPT_FUNCTION)

install_rc:
	@sed -e "s@##HOTPLUG##@$(HOTPLUG)@" -e "s@##PRELOAD_FILE##@$(PRELOAD_FILE)@" $(RC_FILE) > $(RC_FILE).real
	@if [ -f $(INST_RC_INIT_DIR)/$(LM) -a ! -f $(INST_RC_INIT_DIR)/$(LM).old ];then \
		mv $(INST_RC_INIT_DIR)/$(LM) $(INST_RC_INIT_DIR)/$(LM).old;\
		echo "move $(INST_RC_INIT_DIR)/$(LM) $(INST_RC_INIT_DIR)/$(LM).old"; \
	fi
	@install -m $(BIN_MODE) $(RC_FILE).real $(INST_RC_INIT_DIR)/$(LM)
	@echo "install $(INST_RC_INIT_DIR)/$(LM)"
	@for level in ${RC_LEVEL_START}; \
	do \
		ln -sf ../init.d/$(LM) $(INST_RC_DIR)/rc$${level}.d/$(RC_LEVEL_STARTFILE); \
		echo "link $(INST_RC_INIT_DIR)/$(LM) -> $(INST_RC_DIR)/rc$${level}.d/$(RC_LEVEL_STARTFILE)" ;\
	done
	@for level in ${RC_LEVEL_KILL}; \
	do \
		ln -sf ../init.d/$(LM) $(INST_RC_DIR)/rc$${level}.d/$(RC_LEVEL_KILLFILE); \
		echo "link $(INST_RC_INIT_DIR)/$(LM) -> $(INST_RC_DIR)/rc$${level}.d/$(RC_LEVEL_KILLFILE)" ;\
	done

install_dir:
	@if [ ! -d $(INST_SCRIPT_DIR) ];then \
		mkdir -p $(INST_SCRIPT_DIR); \
	fi;
	@if [ ! -d $(INST_FIRMWARE_DIR) ];then \
		mkdir -p $(INST_FIRMWARE_DIR); \
	fi;

install_script_exec:
	@if [ -n "$(SCRIPT_EXEC)" ];then \
		install -m $(BIN_MODE) $(SCRIPT_EXEC) $(INST_SCRIPT_DIR);\
		echo "install $(SCRIPT_EXEC) ---> $(INST_SCRIPT_DIR)"; \
	fi

install_script_read:
	@if [ -n "$(SCRIPT_READ)" ];then \
		install -m $(READ_MODE) $(SCRIPT_READ) $(INST_SCRIPT_DIR);\
		echo "install $(SCRIPT_READ) ---> $(INST_SCRIPT_DIR)"; \
	fi

install: install_dir install_rc install_script_exec install_script_read

clean:
	rm -f $(RC_FILE).real

diff:
	rcsdiff $(SRCS_RCS)
