=== usb/Makefile ===
#
# Makefile for murasaki
#                            shuu@dotAster.com
#
include ../make.defs

NAME=usb
SRCS=product.c type.c match.c print.c op.c sysfs.c
INIT_SRCS=init.c
SRCS_RCS=$(SRCS) $(INIT_SRCS)

include ../make.agent_defs

BINARY=$(CMD) $(INIT_CMD)
DEFS=-DMU_USBMAP=\"$(MAP)\" \
	-DMU_DEFAULT_USBMAP=\"$(DEFAULT_MAP)\" 

include ../make.rules
