=== debian/changelog ===
murasaki (1.68.6-6build5) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:20:48 +0000

murasaki (1.68.6-6build4) zesty; urgency=medium

  * Rebuild against new gdal 2.1.2+dfsg-1build1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Nov 2016 08:33:37 +0100

murasaki (1.68.6-6build3) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:32:48 +0000

murasaki (1.68.6-6build2) zesty; urgency=medium

  * No-change rebuild against libopenmpi2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 01:39:57 +0000

murasaki (1.68.6-6build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:26:27 +0000

murasaki (1.68.6-6) unstable; urgency=medium

  [ Gert Wollny ]
  * Team upload
  * d/p/gcc-6: Add patch to compile with gcc-6: Closes: #811815
  * cme fix dpkg-control 

  [ Andreas Tille ]
  * hardening=+bindnow

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 30 Jun 2016 09:15:01 +0000

murasaki (1.68.6-5) unstable; urgency=medium

  * Upstream-Contact does not work any more
  * Moved packaging from SVN to Git
  * Turn README.Debian into README.test

 -- Andreas Tille <tille@debian.org>  Tue, 15 Mar 2016 18:07:31 +0100

murasaki (1.68.6-4) unstable; urgency=medium

  * Make sure arch independent packages can be built separately
    Closes: #806083

 -- Andreas Tille <tille@debian.org>  Tue, 24 Nov 2015 20:25:15 +0100

murasaki (1.68.6-3) unstable; urgency=medium

  * Enable build on kfreebsd (Thanks for the patch to Aaron M. Ucko
    <ucko@debian.org>)
    Closes: #789971

 -- Andreas Tille <tille@debian.org>  Fri, 03 Jul 2015 18:50:47 +0200

murasaki (1.68.6-2) unstable; urgency=medium

  * Do not try to access dirs from arch all package when doing arch any
    only builds
    Closes: #789827, #789880
  * Small DEP5 format fix

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jun 2015 08:56:17 +0200

murasaki (1.68.6-1) unstable; urgency=medium

  * Initial release (Closes: #782697)
  * Split up into murasaki and murasaki-mpi (+murasaki-common)

 -- Andreas Tille <tille@debian.org>  Thu, 16 Apr 2015 08:51:12 +0200

murasaki (1.68.6-0ubuntu1) trusty; urgency=medium

  * Test upload to Debian Med PPA

 -- Andreas Tille <tille@debian.org>  Wed, 15 Apr 2015 14:06:19 +0200
