=== debian/control ===
Source: murasaki
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libboost-regex-dev,
               libboost-iostreams-dev,
               libboost-filesystem-dev,
               libterm-readkey-perl,
               libtext-wrapper-perl,
               libcrypto++-dev,
               libpstreams-dev,
               libopenmpi-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/murasaki.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/murasaki.git
Homepage: http://murasaki.dna.bio.keio.ac.jp/wiki/

Package: murasaki
Architecture: any
Depends: murasaki-common,
         ${shlibs:Depends},
         ${misc:Depends}
Description: homology detection tool across multiple large genomes
 Murasaki is a scalable and fast, language theory-based homology
 detection tool across multiple large genomes. It enable whole-genome
 scale multiple genome global alignments. Supports unlimited length
 gapped-seed patterns and unique TF-IDF based filtering.
 .
 Murasaki is an anchor alignment software, which is
  * exteremely fast (17 CPU hours for whole Human x Mouse genome (with
    40 nodes: 52 wall minutes))
  * scalable (Arbitrarily parallelizable across multiple nodes using MPI.
    Even a single node with 16GB of ram can handle over 1Gbp of sequence.)
  * unlimited pattern length
  * repeat tolerant
  * intelligent noise reduction

Package: murasaki-mpi
Architecture: any
Depends: murasaki-common,
         ${shlibs:Depends},
         ${misc:Depends}
Description: homology detection tool across multiple large genomes (MPI-version)
 Murasaki is a scalable and fast, language theory-based homology
 detection tool across multiple large genomes. It enable whole-genome
 scale multiple genome global alignments. Supports unlimited length
 gapped-seed patterns and unique TF-IDF based filtering.
 .
 Murasaki is an anchor alignment software, which is
  * exteremely fast (17 CPU hours for whole Human x Mouse genome (with
    40 nodes: 52 wall minutes))
  * scalable (Arbitrarily parallelizable across multiple nodes using MPI.
    Even a single node with 16GB of ram can handle over 1Gbp of sequence.)
  * unlimited pattern length
  * repeat tolerant
  * intelligent noise reduction
 .
 This package provides the MPI-enabled binary for murasaki.  While this
 will speed up operation on multi-processor machines it will slow down
 on a single processor.

Package: murasaki-common
Architecture: all
Depends: ${misc:Depends},
         ${misc:perl},
         gnuplot | gnuplot5,
         libbio-perl-perl,
         r-cran-rocr,
         imagemagick
Recommends: libterm-readkey-perl,
            libtext-wrapi18n-perl | libtext-wrapper-perl
Description: homology detection tool across multiple large genomes (common files)
 Murasaki is a scalable and fast, language theory-based homology
 detection tool across multiple large genomes. It enable whole-genome
 scale multiple genome global alignments. Supports unlimited length
 gapped-seed patterns and unique TF-IDF based filtering.
 .
 Murasaki is an anchor alignment software, which is
  * exteremely fast (17 CPU hours for whole Human x Mouse genome (with
    40 nodes: 52 wall minutes))
  * scalable (Arbitrarily parallelizable across multiple nodes using MPI.
    Even a single node with 16GB of ram can handle over 1Gbp of sequence.)
  * unlimited pattern length
  * repeat tolerant
  * intelligent noise reduction
 .
 This package contains all files that are common to the single core murasaki
 package and the multi core murasaki-mpi package.
