=== debian/watch ===
version=3
http://sf.net/murasaki/murasaki-src-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
